Jump to content

Installed the latest upgrade unable to access website or admin


Recommended Posts

I was originally trying to edit my store and was unable.  I noticed I needed to upgrade.

Installed the latest upgrade unable to access website or admin site. I don't think it completed the process.

I receive the error below.

Parse error: syntax error, unexpected T_FUNCTION in /home4/jnevada/public_html/shop/classes/config.class.php on line 223

My store-  www.theestuaryshop.com/shop/

 

Please HELP!

Link to comment
Share on other sites

The config.class.php file at line 223 for CC611 does not have a statement that would trigger this error.

Using a programmer's text editor, please open your copy of this file for viewing. Copy the code beginning 10 lines above line 223 down to 10 lines after line 223 and paste them into a code box (the <> toolbutton in the above toolbar) so that we might find what PHP is complaining about.

 

Link to comment
Share on other sites

thanks for responding.

 

* @param string $data

*/

public function merge($config_name, $element, $data) {

if (!empty($element)) {

$this-&gt;_temp[$config_name][$element] = $data;

$this-&gt;_config[$config_name][$element] = $data;

} else {

if (is_array($data)) {

if (isset($this-&gt;_temp[$config_name])) {

$this-&gt;_temp[$config_name] = merge_array($this-&gt;_temp[$config_name], $data);

I left out the  lines after sorry

 

@param string $data

*/

public function merge($config_name, $element, $data) {

if (!empty($element)) {

$this-&gt;_temp[$config_name][$element] = $data;

$this-&gt;_config[$config_name][$element] = $data;

} else {

if (is_array($data)) {

if (isset($this-&gt;_temp[$config_name])) {

$this-&gt;_temp[$config_name] = merge_array($this-&gt;_temp[$config_name], $data);

} else {

$this-&gt;_temp[$config_name] = $data;

}

$this-&gt;_config[$config_name] = merge_array($this-&gt;_config[$config_name], $data);

}

}

}

/**

* Set a config value

*

* If no element is set then the entire config is

Link to comment
Share on other sites

I left out the  lines after sorry

 

@param string $data

*/

public function merge($config_name, $element, $data) {

if (!empty($element)) {

$this-&gt;_temp[$config_name][$element] = $data;

$this-&gt;_config[$config_name][$element] = $data;

} else {

if (is_array($data)) {

if (isset($this-&gt;_temp[$config_name])) {

$this-&gt;_temp[$config_name] = merge_array($this-&gt;_temp[$config_name], $data);

} else {

$this-&gt;_temp[$config_name] = $data;

}

$this-&gt;_config[$config_name] = merge_array($this-&gt;_config[$config_name], $data);

}

}

}

/**

* Set a config value

*

* If no element is set then the entire config is

 

 

 

 

Where do I complete the manual upgrade? Also where do I run www.theestuaryshop.com/shop/setup? I'm sorry but I don't see those options anywhere.

Link to comment
Share on other sites

I think I found the problem.

Some versions of PHP do not like anonymous functions. Line 223:

array_walk_recursive($data, function(&$s,$k){return stripslashes($s);});

as well as 226 has an anonymous function definition.

I thought I submitted an issue in the Github about this.

What is the exact version of PHP you are running?

 

Link to comment
Share on other sites

You need to obtain the CubeCart 6.1.1 zip file from CubeCart.com website, save it to your PC, extract all the files from the zip file. Then using a FTP client program or the File Manager option within cPanel upload all these files to your /shop directory and then enter the URL I have already given into your browser to complete the upgrade

Ian

Link to comment
Share on other sites

If you have the /setup/ folder still on your site, have your browser ask for this file:

www.theestuaryshop.com/shop/setup/info.php

If /setup/ is not on your site, create the following file in your /shop/ folder:

Name: info.php
Contents:
<?php
phpinfo();
?>


Then have your browser ask for the file:
www.theestuaryshop.com/shop/info.php

The chart shown to you will show you the exact version of PHP you have.

Line 223 is the array_walk_recursive statement I posted above.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...